curl --request POST \
--url https://api.sandbox.isometric.com/registry/v0/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"credit_batch_quantities": [
{
"credit_batch_id": "ctb_1DRBTYA8Q1S07CBY",
"credit_quantity_kg": 123
}
],
"from_organisation_id": "org_1GB56M1ST1S0GVNA",
"notes": "Transferred with care.",
"supplier_id": "spl_1CC712KFS1S0YKPS",
"to_organisation_id": "org_1GB56M1ST1S0GVNA"
}
'import requests
url = "https://api.sandbox.isometric.com/registry/v0/transfers"
payload = {
"credit_batch_quantities": [
{
"credit_batch_id": "ctb_1DRBTYA8Q1S07CBY",
"credit_quantity_kg": 123
}
],
"from_organisation_id": "org_1GB56M1ST1S0GVNA",
"notes": "Transferred with care.",
"supplier_id": "spl_1CC712KFS1S0YKPS",
"to_organisation_id": "org_1GB56M1ST1S0GVNA"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credit_batch_quantities: [{credit_batch_id: 'ctb_1DRBTYA8Q1S07CBY', credit_quantity_kg: 123}],
from_organisation_id: 'org_1GB56M1ST1S0GVNA',
notes: 'Transferred with care.',
supplier_id: 'spl_1CC712KFS1S0YKPS',
to_organisation_id: 'org_1GB56M1ST1S0GVNA'
})
};
fetch('https://api.sandbox.isometric.com/registry/v0/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_batch_size_total": {
"credit_kgs": 123,
"credits": 123
},
"from_organisation": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"id": "tfr_1FJGWSY271S0QSMR",
"notes": "<string>",
"to_organisation": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"transferred_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Create Transfer
Transfer credits from specific batches, in whole or with splits. All credit batches must originate from the same supplier and be owned by the current organisation.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
A list of credit batch IDs and kilogram amounts of each to transfer.
Show child attributes
Show child attributes
The ID of the organisation that is sending the credits. Typically this would be your own organisation ID.
20 - 37"org_1GB56M1ST1S0GVNA"
"org_1CP8EQDNQSBXTMR2"
A publicly visible note stored with the credit transfer.
256"Transferred with care."
All credits in a transfer must originate from the same supplier.
20 - 37"spl_1CC712KFS1S0YKPS"
"spl_1FJBMMGR3SBXKDME"
The ID of the organisation that will receive the credits.
20 - 37"org_1GB56M1ST1S0GVNA"
"org_1CP8EQDNQSBXTMR2"
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
20 - 37"tfr_1FJGWSY271S0QSMR"
"tfr_1FAG5BDW1SBXJ1CH"
Show child attributes
Show child attributes
Was this page helpful?